Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.ehvalidator.core
Enum EhValidator.Language

    java.lang.Object
      java.lang.Enum<EhValidator.Language>
          be.fgov.ehealth.ehvalidator.core.EhValidator.Language

All Implemented Interfaces:
  Serializable, Comparable<EhValidator.Language>

Enclosing class:
  EhValidator

    public static enum EhValidator.Language

extends Enum<EhValidator.Language>

allowed languages.

Enum Constant Summary
`dutch` dutch, nl.
`english` english, en.
`french` french, fr.
`german` german, de.

Method Summary
`static EhValidator.Language` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EhValidator.Language[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### english

    public static final EhValidator.Language english

  english, en.

### french

    public static final EhValidator.Language french

  french, fr.

### dutch

    public static final EhValidator.Language dutch

  dutch, nl.

### german

    public static final EhValidator.Language german

  german, de.

Method Detail

### values

    public static EhValidator.Language[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EhValidator.Language c : EhValidator.Language.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EhValidator.Language valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

eHealth Validator Master project 1.2.0 API
Copyright © 2011 Smals. All Rights Reserved.